<?php

$args = array(
    'post_type' => 'divesite',
    'post_status' => 'publish',
    'posts_per_page' => -1,
);

$atts = array_change_key_case( (array) $atts, CASE_LOWER );

$attributes = '';

if  ( $this->activated( 'locations_manager' ) && (isset($atts['location']))){

    $term = get_term_by('name', $atts['location'], 'location');


    $args['tax_query'] = array(
        array(
            'taxonomy' => 'location',
            'field'    => 'term_id',
            'terms'    => $term->term_id,
            'include_children'  => true,
         )
    ) ;

    $value  = get_term_meta( $term->term_id );
    $attributes .= ' zoom='. $value['cfish-loc-zoom'][0] .' lat= '. $value['cfish-loc-latitude'][0] .' lng= '. $value['cfish-loc-longitude'][0] . ' ';
}



$map_config =  get_option( 'cfish_dsm_map');


$icon_text ='';


if ($icon_url = wp_get_attachment_image_url( $map_config['icon'] , 'map_icon')){
    $icon_text = ' iconUrl="'. $icon_url . '" iconAnchor="30,40" ';
}

if ($map_config['allow_zoom']){
    $attributes .= ' fitbounds zoomcontrol doubleClickZoom scrollwheel max_zoom="17" ';
}

if ($map_config['map_tiles'] == 'watercolor'){
    $attributes .= ' tileurl=https://stamen-tiles-{s}.a.ssl.fastly.net/watercolor/{z}/{x}/{y}.jpg subdomains=abcd     
    attribution="Leaflet; © OpenStreetMap; Map tiles by Stamen Design, under CC BY 3.0."';
}


$query = new WP_Query( $args );

if ($query->have_posts()) :?>
    <div class="alignfull divesites-container">
        
        <?php
        echo do_shortcode('[leaflet-map height=' . $map_config['height'].' width=' . $map_config['width'].'%' . $attributes . ']');
		?>	
        <?php while ($query->have_posts()) : $query->the_post();
            $latitude = get_post_meta( get_the_ID(), '_cfish_dive_site_key', true )['latitude'] ?? '';
            $longitude = get_post_meta( get_the_ID(), '_cfish_dive_site_key', true )['longitude'] ?? '';
            echo do_shortcode('[leaflet-marker visible lat='. $latitude .' lng='. $longitude .' '. $icon_text .' ]<a href="#dive-site-'.get_the_id().'">'. get_the_title() .'</a>[/leaflet-marker]');
        
         endwhile; ?>
    </div>

<?php endif;
wp_reset_postdata();