<?php

$args = array(
    'post_type' => 'divesite',
    'post_status' => 'publish',
    'posts_per_page' => -1,
);

$atts = array_change_key_case( (array) $atts, CASE_LOWER );

if  ( $this->activated( 'locations_manager' ) && (isset($atts['location']))){

    $term = get_term_by('name', $atts['location'], 'location');


    $args['tax_query'] = array(
        array(
            'taxonomy' => 'location',
            'field'    => 'term_id',
            'terms'    => $term->term_id,
            'include_children'  => true,
         )
    ) ;
}

$format = get_option( 'cfish_dsm_format');
$columns = $format['columns_desktop'];
$width = $format['posts_width'];
$imgMaxWidth = $format['img_max_width'];

$characteristics = get_option( 'cfish_dsm_characteristics' );


$query = new WP_Query( $args );

if ($query->have_posts()) :?>
    <div class="divesites-container alignfull" style="width:<?php echo $width;?>%;">
        <?php while ($query->have_posts()) : $query->the_post();?>
            <div id="dive-site-<?php echo get_the_id(); ?>" class="divesite-container divesite-col-<?php echo $columns;?>">
                <div class="divesite-title-container">
                    <h3 class="divesite-title" style="color:<?php echo $format['main_color']?>;"><?php echo get_the_title();?> </h3>
                    <?php if (has_excerpt()) {?>
                            <h5 class="divesite-subtitle" style="color:<?php echo $format['main_color']?>;"><?php echo get_the_excerpt();?> </h5>
                    <?php } ?>
                </div>
                <div class="divesite-image" style="width:<?php echo $imgMaxWidth;?>%;"><?php the_post_thumbnail();?></div>
                <div class="divesite-options-container">
                <?php
                if (isset($characteristics['total_characteristics'])) {
                    for ($i=1; $i <= $characteristics['total_characteristics'] ; $i++) {
                        if ( ( isset( get_post_meta( get_the_ID(), '_cfish_dive_site_key', true )['characteristic_' . $i .''] ) ) &&
                            !(empty(get_post_meta( get_the_ID(), '_cfish_dive_site_key', true )['characteristic_' . $i .''] ))){
                            ?>
                            <span style="color:<?php echo $format['icons_color']?>;" class="dashicons <?php echo $characteristics['icon_' . $i .''];?>"></span>
                            <span class="divesite-option-title" style="color:<?php echo $format['text_color']?>;"><?php echo $characteristics['characteristic_' . $i .''];?>: </span>
                            <span class="divesite-option-value" style="color:<?php echo $format['text_color']?>;"><?php echo get_post_meta( get_the_ID(), '_cfish_dive_site_key', true )['characteristic_' . $i .''] ?? '';?> </span><br>
                            <?php
                        }
                    }
                }
                ?>
                </div>
                <?php if (!empty(get_the_content())){?>
                    <div class="divesite-description-container">
                        <h5 class="divesite-description-title" style="color:<?php echo $format['main_color']?>;"><?php _e($format['title_description'], 'dive-sites-manager'); ?></h5>
                        <div class="divesite-description" style="color:<?php echo $format['text_color']?>"><?php echo get_the_content();?></div>
                    </div>
               <?php }?>
            </div>
        <?php endwhile; ?>
    </div>

<?php endif;
wp_reset_postdata();